<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="on">
      <action>maincpu.pb@6347=80|(maincpu.pb@6347 BAND ~80)</action>
    </script>
    <script state="run">
      <action>maincpu.pb@6004=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Activate during play only!</comment>
    <script state="run">
      <action>maincpu.pb@6354=AA</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@60E7=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@6216=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="25" step="1"/>
    <script state="on">
      <action condition="maincpu.pb@6004==00|(maincpu.pb@6347=80|(maincpu.pb@6347 BAND ~80))">maincpu.pb@6004=01</action>
    </script>
    <script state="change">
      <action>maincpu.pb@(6C05+param)=F1</action>
      <action condition="(temp0 GT 6C05) AND (temp0 LT 6C20) AND temp0!=(6C05+param)">maincpu.pb@(temp0)=00</action>
      <action>temp0=(6C05+param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
